#include <cmath>
#include <iostream>
#include "rationnel.hpp"

using namespace std;

int main (){
  bool sign=false;
  rationnel y(5,-1);
  plot_r p;

  rationnel z(y);
  cout<< "adresse z"<<&z<<" adresse y"<<&y<<endl;
					    
  sign=y.positif();
  cout<< ">>> signe :"<<sign<<endl;
 
  plot_values(y);
  p.plot(y);
  
  y.modify_d(2);
  sign=y.positif();
  cout<< ">>> signe :"<<sign<<endl;

  plot_values(y);

  rationnel y1(5,2);
  rationnel y2(4,3);
  rationnel y3(1,2);
  plot_values((y1+y2)*y3);

  rationnel x1(1,2);
  rationnel x2(1,3);
  rationnel x3(3,6);
  bool a,b,c;
  a = x1 < x2 ; b = (x1 == x2); c = (x1 == x3);
  cout<<" test x1 < x2 "<< a <<endl;
  cout<<" test x1 == x2 "<< b <<endl;
  cout<<" test x1 == x3 "<< c <<endl;

  x2 =x1;
  plot_values(x2);
  cout<<">>> print: "<<x2<<endl;

  int i =2.0;
  rationnel x4;
  x4 = i*x4;
  i = (int) x4;

  cout<<"////////"<<endl;
  rationnel ra;
  ra = rationnel(1,2);
  cout<<"fin programme"<<endl;
  return 0;
};

